// gnome.xonotic.in.ua

models/mapobjects/defcon_tree/tree
{
	cull none
	nopicmip
	{
		map models/mapobjects/defcon_tree/tree.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip
	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/nateleaf1/tree2
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/nateleaf1/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/aphax/aph_light_white
{
	qer_editorimage textures/aphax/aph_light_white.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/aphax/aph_light_white.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/aphax/aph_light_white_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/chrome_metal
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/chrome_metal.tga
		blendfunc gl_one gl_one
		detail
		tcmod scale 0.0693 0.0712
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/bbq/bbqgate
{
	qer_editor_image textures/bbq/bbqgate.tga
	nopicmip
	nomipmaps
	surfaceparm alphashadow
	cull disable
	{
		map textures/bbq/bbqgate.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/sweetnutz/sn_canvas1
{
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm alphashadow
	{
		map textures/sweetnutz/sn_canvas1.jpg
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/sweetnutz/sn_flowers
{
	qer_editorimage textures/sweetnutz/sn_flowers.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_bounce .1
	cull none
	nopicmip
	{
		map textures/sweetnutz/sn_flowers.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/sweetnutz/sn_ivy
{
	qer_editorimage textures/sweetnutz/sn_ivy.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/sweetnutz/sn_ivy.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror/arctic_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 10 180 60
	q3map_surfacelight 50
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/arcn 256 -
}

textures/urban_terror/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

